package com.kingdee.eas.custom.attendanceexception;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.attendanceexception.app.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class AttendanceExceptionLog extends CoreBillBase implements IAttendanceExceptionLog
{
    public AttendanceExceptionLog()
    {
        super();
        registerInterface(IAttendanceExceptionLog.class, this);
    }
    public AttendanceExceptionLog(Context ctx)
    {
        super(ctx);
        registerInterface(IAttendanceExceptionLog.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("F478FDEB");
    }
    private AttendanceExceptionLogController getController() throws BOSException
    {
        return (AttendanceExceptionLogController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public AttendanceExceptionLogCollection getAttendanceExceptionLogCollection() throws BOSException
    {
        try {
            return getController().getAttendanceExceptionLogCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public AttendanceExceptionLogCollection getAttendanceExceptionLogCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getAttendanceExceptionLogCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public AttendanceExceptionLogCollection getAttendanceExceptionLogCollection(String oql) throws BOSException
    {
        try {
            return getController().getAttendanceExceptionLogCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public AttendanceExceptionLogInfo getAttendanceExceptionLogInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getAttendanceExceptionLogInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public AttendanceExceptionLogInfo getAttendanceExceptionLogInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getAttendanceExceptionLogInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public AttendanceExceptionLogInfo getAttendanceExceptionLogInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getAttendanceExceptionLogInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}